/**
 * @file   config.h.in
 *
 * @section LICENSE
 *
 * The MIT License
 *
 * @copyright Copyright (c) 2023 TileDB, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @section DESCRIPTION
 *
 * Configuration file including various information about the library,
 * including cmake variables, git information, and other build information.
 * This file is generated by cmake during the build process.
 *
 * @todo Incorporate this information into benchmark logging.
 */

#ifndef TILEDB_CONFIG_H
#define TILEDB_CONFIG_H

constexpr const char SIFT_TEST_DIR[] = "";
constexpr const char CURRENT_DATETIME[] = "2024-05-21 09:15:55";
constexpr const char CMAKE_SOURCE_DIR[] = "/home/runner/work/TileDB-Vector-Search/TileDB-Vector-Search/src";
constexpr const char BUILD_TYPE[] = "Release";
constexpr const char CXX_VERSION[] = "11.4.0";
constexpr const char CXX_COMPILER_ID[] = "GNU";
constexpr const char IVF_HACK_CXX_COMPILER[] = "/usr/bin/c++";
constexpr const char CMAKE_CXX_FLAGS[] = "";
constexpr const char CMAKE_CXX_FLAGS_DEBUG[] = "-g";
constexpr const char CMAKE_CXX_FLAGS_RELEASE[] = "-O3 -DNDEBUG";
constexpr const char CMAKE_CXX_FLAGS_RELWITHDEBINFO[] = "-O2 -g -DNDEBUG";
constexpr const char GIT_REPO_NAME[] = "TileDB-Vector-Search";
constexpr const char GIT_REPO_URL[] = "https://github.com/TileDB-Inc/TileDB-Vector-Search";
constexpr const char GIT_BRANCH[] = "HEAD";
constexpr const char GIT_COMMIT_HASH[] = "6759ca1";
constexpr const char GIT_COMMIT_DATE[] = "2024-05-20";
constexpr const char GIT_COMMIT_TIME[] = "16:28:49";

#endif  // TILEDB_CONFIG_H
